# Advent of Code 2022

This is my first AoC.

## Languages

I'll try to achieve all challenges using only **Haskell** and **Zig**.

## Running

If

* the respective toolchains are installed,
* the respective dependencies are installed,
* and either
	* an input.txt file is placed in the day's folder, or
	* an AoC session cookie header is placed in $HOME/creds/aoc-cookie (With `Cookie: session=...`),

all challenges can be easily run from the top directory using

```sh
make DAY=<day>
```

If the session cookie is saved as described above and no input file exists, it will be pulled from the aoc servers for you.

Afterwards, Make will use either GHC's `runhaskell` or zig's `zig run` to run the code (with instant compilation) and feed the input to it on STDIN. The results will be printed to STDOUT to be pasted in the AoC web app.

## Licensing

All code licensed under GPLv3, see LICENSE.
